#include "comm.h"
#include "servo.h"

#include <SPI.h>
#include <LittleFS.h>

ServoController controller;

void setup() {
    controller.initServos();
    LittleFS.begin();
    setup_comm();

    pinMode(15, OUTPUT);
    pinMode(12, OUTPUT);
    pinMode(13, OUTPUT);

    delay(1000);
}

void loop() {
    comms_loop();

    controller.updateHeading();

    digitalWrite(15, 1);
    WebMonitor.printf("ON!");
    delay(1000);
    digitalWrite(15, 0);
    WebMonitor.printf("OFF!");
    delay(1000);
}
