#include <Servo.h>
#include <DFRobot_QMC5883.h>

#ifndef SERVO_H
#define SERVO_H

class ServoController {
    private:
        float headingDegress;

        Servo HrzSrv;
        Servo VrtSrv;
        DFRobot_QMC5883 mag;

    public:
        void initServos();
        //void initMag(): mag~{&Wire, 0xD};
        void moveToAzAlt();
        void moveToRADec();
        void updateHeading();
};

#endif
